Skip to main content
GET
Listar transações
Retorna uma lista paginada de transações da sua empresa, com filtros opcionais por status, método, cliente e período. Use offset para paginar.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

offset
string
default:0

Deslocamento para paginação

status
string

Filtra por status (ex.: paid, pending, refused)

paymentMethod
enum<string>
Available options:
pix,
credit_card,
boleto
transactionId
string
email
string
phone
string
document
string

CPF/CNPJ do cliente

name
string
initialDate
string

YYYY-MM-DD

finalDate
string

YYYY-MM-DD

Response

Lista de transações

success
boolean
Example:

true

data
object[]
totalRows
integer
Example:

42